%define	name	exaile
# Appended .r to the name to avoid having to use an epoch
%define	version 0.2.r
%define realver	0.2
%define rel	1
%define	release	%mkrel %rel

Name:		%{name} 
Summary:	A powerful GTK2 media player
Version:	%{version} 
Release:	%{release} 
Source0:	%{name}_%{realver}.tar.bz2
URL:		http://www.exaile.org/
Group:		Sound
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
License:	GPL
BuildRequires:	pygtk2.0-devel
Requires:	pygtk2.0-devel python-sqlite2 gstreamer0.10-python
Requires:	gstreamer0.10-plugins-good gstreamer0.10-plugins-base 
Requires:	dbus-python

%description
Exaile is a media player aiming to be similar to KDE's AmaroK,
but for gtk2. It incorporates many of the cool things from AmaroK
(and other media players).

Some of the features are:
- automatic fetching of album art
- handling of large libraries 
- lyrics fetching
- artist/album information via the wikipedia
- last.fm support
- optional iPod support (assuming you have python-gpod installed).
- builtin shoutcast directory browser
- tabbed playlists
- blacklisting of tracks
- downloading of guitar tabs from fretplay.com
- submitting played tracks on the iPod to last.fm

%prep
%setup -q -n %{name}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat > $RPM_BUILD_ROOT%{_menudir}/%{name} << EOF
?package(%name): needs="x11" \
        section="Multimedia/Sound" \
        title="Exaile" \
        longtitle="Listen to, browse, or edit your audio collection"\
        command="%{_bindir}/%{name}" \
        icon="%{name}.png" \
        xdg="true"
EOF
# Mandrivaify the desktop file
perl -pi -e "s#Categories=#Categories=X-MandrivaLinux-Multimedia-Sound;Sound;GNOME;#" ./exaile.desktop

%make		DESTDIR=$RPM_BUILD_ROOT
%makeinstall	DESTDIR=$RPM_BUILD_ROOT

%post
%update_desktop_database
%update_menus

%postun
%clean_desktop_database
%update_menus

%clean 
rm -rf $RPM_BUILD_ROOT 

%files 
%defattr(-,root,root)
%doc TODO
%_bindir/%name
%_datadir/%name/
%_datadir/applications/*
%_datadir/pixmaps/*
%_menudir/%name

%changelog
* Tue Sep 05 2006 Eskild Hustvedt <eskild@mandriva.org> 0.2.r-1mdv2007.0
- New version 0.2

* Sat Sep 02 2006 David Walluck <walluck@mandriva.org> 0.2.b5-2mdv2007.0
- Requires: dbus-python

* Fri Aug 18 2006 Eskild Hustvedt <eskild@mandriva.org> 0.2.b5-1mdv2007.0
- New release 0.2b5

* Thu Aug  3 2006 Götz Waschk <waschk@mandriva.org> 0.2.b4-2mdv2007.0
- fix deps

* Mon Jun 26 2006 Eskild Hustvedt <eskild@mandriva.org> 0.2.b4
- Initial Mandriva Linux package
